View Issue Details

IDProjectCategoryView StatusLast Update
0002212SymmetricDSBugpublic2015-02-24 17:56
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.7.7 
Target Version3.7.8Fixed in Version3.7.8 
Summary0002212: getOutgoingBatchStatus only returns pending batches for one status. It should return multiple summaries.
DescriptiongetOutgoingBatchStatus only returns pending batches for one status. It should return multiple summaries, one for each batch status.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master b7463114

2015-02-19 20:52:26

chenson

Details Diff
0002212: getOutgoingBatchStatus only returns pending batches for one status. It should return multiple summaries.
0002212
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/rest/RestService.java Diff File
add - symmetric-server/src/main/java/org/jumpmind/symmetric/web/rest/model/BatchSummaries.java Diff File
add - symmetric-server/src/main/java/org/jumpmind/symmetric/web/rest/model/BatchSummary.java Diff File

Issue History

Date Modified Username Field Change
2015-02-19 13:12 chenson New Issue
2015-02-19 13:12 chenson Status new => assigned
2015-02-19 13:12 chenson Assigned To => chenson
2015-02-19 20:52 chenson Status assigned => resolved
2015-02-19 20:52 chenson Fixed in Version => 3.7.8
2015-02-19 20:52 chenson Resolution open => fixed
2015-02-19 21:00 chenson Changeset attached => SymmetricDS trunk r9378
2015-02-24 17:56 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master b7463114